Bug 1301346 - [abrt] libreoffice-core: SdrObjList::GetObjCount(): soffice.bin killed by SIGSEGV
[abrt] libreoffice-core: SdrObjList::GetObjCount(): soffice.bin killed by SIG...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:32fddb5ca64dbcaa20b483c3f95...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-24 07:00 EST by nawfal
Modified: 2016-01-28 13:52 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 09:32:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (73.05 KB, text/plain)
2016-01-24 07:00 EST, nawfal
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-24 07:00 EST, nawfal
no flags Details
File: core_backtrace (22.31 KB, text/plain)
2016-01-24 07:00 EST, nawfal
no flags Details
File: dso_list (29.09 KB, text/plain)
2016-01-24 07:01 EST, nawfal
no flags Details
File: environ (2.10 KB, text/plain)
2016-01-24 07:01 EST, nawfal
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-24 07:01 EST, nawfal
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-24 07:01 EST, nawfal
no flags Details
File: maps (129.52 KB, text/plain)
2016-01-24 07:01 EST, nawfal
no flags Details
File: mountinfo (3.53 KB, text/plain)
2016-01-24 07:01 EST, nawfal
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-24 07:01 EST, nawfal
no flags Details
File: open_fds (4.76 KB, text/plain)
2016-01-24 07:01 EST, nawfal
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-01-24 07:01 EST, nawfal
no flags Details
File: var_log_messages (329 bytes, text/plain)
2016-01-24 07:01 EST, nawfal
no flags Details

  None (edit)
Description nawfal 2016-01-24 07:00:43 EST
Version-Release number of selected component:
libreoffice-core-5.0.4.2-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress --splash-pipe=5
crash_function: SdrObjList::GetObjCount
executable:     /usr/lib64/libreoffice/program/soffice.bin
global_pid:     31863
kernel:         4.3.3-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SdrObjList::GetObjCount at /usr/src/debug/libreoffice-5.0.4.2/svx/source/svdraw/svdpage.cxx:679
 #1 SdrEditView::ImpCheckToTopBtmPossible at /usr/src/debug/libreoffice-5.0.4.2/svx/source/svdraw/svdedtv2.cxx:487
 #2 SdrEditView::CheckPossibilities at /usr/src/debug/libreoffice-5.0.4.2/svx/source/svdraw/svdedtv.cxx:637
 #3 E3dView::CheckPossibilities at /usr/src/debug/libreoffice-5.0.4.2/svx/source/engine3d/view3d.cxx:1617
 #4 sd::View::CheckPossibilities at /usr/src/debug/libreoffice-5.0.4.2/sd/source/ui/view/sdview.cxx:1197
 #5 SdrEditView::ForcePossibilities at /usr/src/debug/libreoffice-5.0.4.2/include/svx/svdedtv.hxx:169
 #6 SdrEditView::IsConvertToPathObjPossible at /usr/src/debug/libreoffice-5.0.4.2/include/svx/svdedtv.hxx:354
 #7 sd::DrawViewShell::GetMenuState at /usr/src/debug/libreoffice-5.0.4.2/sd/source/ui/view/drviews7.cxx:268
 #8 SfxShell::CallState at /usr/src/debug/libreoffice-5.0.4.2/include/sfx2/shell.hxx:212
 #9 SfxShell::CanExecuteSlot_Impl at /usr/src/debug/libreoffice-5.0.4.2/sfx2/source/control/shell.cxx:405
Comment 1 nawfal 2016-01-24 07:00:54 EST
Created attachment 1117568 [details]
File: backtrace
Comment 2 nawfal 2016-01-24 07:00:56 EST
Created attachment 1117569 [details]
File: cgroup
Comment 3 nawfal 2016-01-24 07:00:58 EST
Created attachment 1117570 [details]
File: core_backtrace
Comment 4 nawfal 2016-01-24 07:01:02 EST
Created attachment 1117571 [details]
File: dso_list
Comment 5 nawfal 2016-01-24 07:01:04 EST
Created attachment 1117572 [details]
File: environ
Comment 6 nawfal 2016-01-24 07:01:06 EST
Created attachment 1117573 [details]
File: exploitable
Comment 7 nawfal 2016-01-24 07:01:07 EST
Created attachment 1117574 [details]
File: limits
Comment 8 nawfal 2016-01-24 07:01:16 EST
Created attachment 1117575 [details]
File: maps
Comment 9 nawfal 2016-01-24 07:01:18 EST
Created attachment 1117576 [details]
File: mountinfo
Comment 10 nawfal 2016-01-24 07:01:20 EST
Created attachment 1117577 [details]
File: namespaces
Comment 11 nawfal 2016-01-24 07:01:21 EST
Created attachment 1117578 [details]
File: open_fds
Comment 12 nawfal 2016-01-24 07:01:23 EST
Created attachment 1117579 [details]
File: proc_pid_status
Comment 13 nawfal 2016-01-24 07:01:25 EST
Created attachment 1117580 [details]
File: var_log_messages
Comment 14 Caolan McNamara 2016-01-27 10:16:01 EST
any idea what you selected when this crash ?
Comment 15 nawfal 2016-01-27 17:53:44 EST
Sorry can't remember!!
Comment 16 Caolan McNamara 2016-01-28 09:32:39 EST
I committed a plausible workaround upstream
Comment 17 nawfal 2016-01-28 13:52:41 EST
Means that you have an idea about the cause ? I didn't read the logs yet !!!

Note You need to log in before you can comment on or make changes to this bug.